Updating OpenELEC isn't like updating any other operating system you'll have used before. There's no package manager, and no terminal usage.

In the OpenELEC settings you have the option to enable automatic or manual updates.

If Automatic updates option is enabled, OpenELEC will check online for an update. If it finds one the update will be downloaded and prepared. You will then be notified that a reboot is required to apply the update.

The automatic update function will not make a major update from e.g. 4.0/4.2 software towards 5.0. Major updates are not done because major steps in versions can lead to unstable setups as too many settings have changed between the versions. You can update manually though.

Please be sure to backup all your settings before the update and follow the manual update instructions given above.

If you do want to go ahead with the upgrade, doing a full backup of your OpenELEC setup first is highly recommended at all times. Use the Backup/Restore tool in the OpenELEC Setting add-on, and place the backup file in a secure location. That means NOT on the same OpenELEC htpc you are making the backup of.

Automatic updates are also available for the beta and release candidate versions. After various beta versions, automatic update to a release candidate would happen and eventually an update to the final stable release.

If Manual update option is selected then you will need to download the update to OpenELEC. This is ideal if the OpenELEC machine is not internet connected as you can download the new software package on another machine and provide the file to your OpenELEC.

First of all, head over to the downloads page and download the latest release of OpenELEC. You will need to download the standard software package, not the disk image version.

Now, from your PC, open an Explorer window and browse to the IP address of the OpenELEC machine (if you don't know what the IP address of your OpenELEC box is, go to the menu of the OpenELEC machine, and browse to the main item "System" and then look at the subitem "System Info". This will open a page that shows the IP address amongst other information.

So type this into the address bar of the explorer window. For example, if your OE machine's IP address is 192.168.1.92, browse to \\192.168.1.92

samba.png

Once the window appears, open the "Update" folder share. There shouldn't be anything inside this share, unless you have another update pending. Copy the downloaded OpenELEC software (for example: OpenELEC-Generic.x86_64-5.0.0.tar) to this folder.

Once the file has been copied, reboot the OpenELEC machine. OpenELEC will recognize the new software package in the update folder and update automatically. A second reboot will follow automatically to activate the new system files.

This is for more advanced users. If you did what is described above, you don't need to worry about this. If you are not using the method described above, it's good to know that the folder where you need to place the software package is /storage/.update.

Then you can use SCP to copy the file or run wget on the OpenELEC box itself.

If for whatever reason the new build is not working properly on your OpenELEC machine, you can also downgrade to a lower version in the same way as you do an upgrade. All provided that the Samba server is still working properly.

You can downgrade from a major version to another major version, but it is not advised. Various settings and add-ons are not backwards compatible. Should you want to do a major downgrade, a fresh installation of OpenELEC is highly recommended. Minor downgrades, for example from 4.2.1 to 4.0.4 are fine though.

The OpenELEC 6.0 release includes a new variation designed specifically to accommodate OLD nvidia hardware that has been dropped by nvidia themselves from their most modern driver.

However there is some confusion as to how to determine exactly if this is relevant to you.

In OpenELEC navigate to system/system info/video, note down your GPU model and locate it in one of the following lists:

If your GPU is listed ONLY in the Nvidia_Legacy 64bit (x86_64) list then that is the version you should use. If it is listed in both Nvidia_Legacy 64bit (x86_64) and Generic 64bit (x86_64) lists then you should use the Generic build.

Due to sometimes confusing product naming you may not get an exact match. If you are still in doubt use method 2 which is definitive.